package com.rudakova.media_archive.converter;

import com.google.api.services.drive.model.FileList;
import com.rudakova.media_archive.model.Account;
import com.rudakova.media_archive.model.File;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * Конвертер файлов из гугла в модель файла для базы данных.
 */
public class FileConverter {

    public static File convertFromGoogleFile(com.google.api.services.drive.model.File file,
                                             File fileFromBd, Account account, String folderId) {
        File fileModel = convertFromGoogleFile(file, fileFromBd, account);
        fileModel.setBaseFolderId(folderId);
        return fileModel;
    }

    public static File convertFromGoogleFile(com.google.api.services.drive.model.File file,
                                             File fileFromBd, Account account) {
        fileFromBd.setAccount(account);
        fileFromBd.setName(file.getName());
        fileFromBd.setId(file.getId());
        fileFromBd.setParents(file.getParents());
        fileFromBd.setMimeType(file.getMimeType());
        fileFromBd.setCreatedDate(file.getCreatedTime() == null ? null : file.getCreatedTime().toString());
        fileFromBd.setWebLink(file.getWebViewLink());
        fileFromBd.setPreview(file.getThumbnailLink());
        return fileFromBd;
    }

    public static com.google.api.services.drive.model.File convertToGoogleShortcut(File file, String parentId) {
        com.google.api.services.drive.model.File googleFile = new com.google.api.services.drive.model.File();
        googleFile.setParents(Collections.singletonList(parentId));
        googleFile.setName(file.getName());
        googleFile.setMimeType("application/vnd.google-apps.shortcut");
        com.google.api.services.drive.model.File.ShortcutDetails shortcutDetails =
                new com.google.api.services.drive.model.File.ShortcutDetails();
        shortcutDetails.setTargetId(file.getId());
        shortcutDetails.setTargetMimeType(file.getMimeType());
        googleFile.setShortcutDetails(shortcutDetails);
        return googleFile;
    }

    public static List<File> convertList(FileList fileList, Account account, String folderId) {
        List<File> files = new ArrayList<>();
        for (com.google.api.services.drive.model.File googleFile : fileList.getFiles()) {
            File file = new File();
            files.add(convertFromGoogleFile(googleFile, file, account, folderId));
        }
        return files;
    }
}
