package com.rudakova.media_archive.dto;

import com.rudakova.media_archive.model.File;

import java.util.HashMap;

public class FileDto {

    private String id;

    private String name;

    private String parentId;

    private AccountDto account;

    private HashMap<String, Object> tags;

    private String mimeType;

    private String createdDate;

    private String webLink;

    private String preview;

    public FileDto(File file) {
        this.id = file.getId();
        this.name = file.getName();
        this.account = new AccountDto(file.getAccount());
        this.tags = file.getTags();
        this.parentId = file.getBaseFolderId();
        this.mimeType = file.getMimeType();
        this.createdDate = file.getCreatedDate();
        this.webLink = file.getWebLink();
        this.preview = file.getPreview();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public AccountDto getAccount() {
        return account;
    }

    public void setAccount(AccountDto account) {
        this.account = account;
    }

    public HashMap<String, Object> getTags() {
        return tags;
    }

    public void setTags(HashMap<String, Object> tags) {
        this.tags = tags;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getMimeType() {
        return mimeType;
    }

    public void setMimeType(String mimeType) {
        this.mimeType = mimeType;
    }

    public String getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(String createdDate) {
        this.createdDate = createdDate;
    }

    public String getWebLink() {
        return webLink;
    }

    public void setWebLink(String webLink) {
        this.webLink = webLink;
    }

    public String getPreview() {
        return preview;
    }

    public void setPreview(String preview) {
        this.preview = preview;
    }
}
