package com.rudakova.media_archive.dto;

import com.rudakova.media_archive.model.FolderList;

import java.util.List;
import java.util.stream.Collectors;

public class FolderListDto {

    private String nextPageToken;

    private List<FileDto> fileDtoList;

    public FolderListDto(FolderList folderList) {
        this.nextPageToken = folderList.getNextPageToken();
        this.fileDtoList = folderList.getFiles().stream()
                .map(FileDto::new)
                .collect(Collectors.toList());
    }

    public String getNextPageToken() {
        return nextPageToken;
    }

    public void setNextPageToken(String nextPageToken) {
        this.nextPageToken = nextPageToken;
    }

    public List<FileDto> getFileDtoList() {
        return fileDtoList;
    }

    public void setFileDtoList(List<FileDto> fileDtoList) {
        this.fileDtoList = fileDtoList;
    }
}
