package com.rudakova.media_archive.dto;

import java.time.Instant;
import java.time.temporal.ChronoUnit;
import java.util.UUID;

public class NotificationDto {

    private UUID id = UUID.randomUUID();

    private String type = "web_hook";

    private String address;

    private long expiration = Instant.now().plus(365, ChronoUnit.DAYS).toEpochMilli();

    public NotificationDto(Address address) {
        this.address = address.getAddress();
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public long getExpiration() {
        return expiration;
    }

    public void setExpiration(long expiration) {
        this.expiration = expiration;
    }

    @Override
    public String toString() {
        return "NotificationDto{" +
                "id=" + id +
                ", type='" + type + '\'' +
                ", address='" + address + '\'' +
                '}';
    }

    public enum Address {
        FOLDER("https://archive.viditory.com/api/notification/"),
        VIDEO("https://archive.viditory.com/api/notification/video");

        private String address;

        Address(String address) {
            this.address = address;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }
    }
}
