package com.rudakova.media_archive.exception;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@ControllerAdvice
public class MainExceptionHandler {
    private static final Logger LOGGER = LoggerFactory.getLogger(MainExceptionHandler.class);

    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    @ResponseStatus(HttpStatus.INTERNAL_SERVER_ERROR)
    public ErrorResponseEntry handleException(Exception exception) {
        ErrorResponseEntry entry = new ErrorResponseEntry(exception.getMessage());
        LOGGER.error("Got exception: ", exception);
        return entry;
    }
}