package com.rudakova.media_archive.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.HashMap;
import java.util.List;

@Document
public class File {

    @Id
    private String id;

    private String name;

    private Account account;

    private List<String> parents;

    private String baseFolderId;

    private HashMap<String, Object> tags = new HashMap<>();

    private String shortcutId;

    private String mimeType;

    private String createdDate;

    private String webLink;

    private String preview;

    private Channel channel;

    private boolean needChannel = true;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Account getAccount() {
        return account;
    }

    public void setAccount(Account account) {
        this.account = account;
    }

    public List<String> getParents() {
        return parents;
    }

    public void setParents(List<String> parents) {
        this.parents = parents;
    }

    public String getBaseFolderId() {
        return baseFolderId;
    }

    public void setBaseFolderId(String baseFolderId) {
        this.baseFolderId = baseFolderId;
    }

    public HashMap<String, Object> getTags() {
        return tags;
    }

    public void setTags(HashMap<String, Object> tags) {
        this.tags = tags;
    }

    public void addTags(HashMap<String, Object> tags) {
        this.tags.putAll(tags);
    }

    public String getShortcutId() {
        return shortcutId;
    }

    public void setShortcutId(String shortcutId) {
        this.shortcutId = shortcutId;
    }

    public String getMimeType() {
        return mimeType;
    }

    public void setMimeType(String mimeType) {
        this.mimeType = mimeType;
    }

    public String getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(String createdDate) {
        this.createdDate = createdDate;
    }

    public String getWebLink() {
        return webLink;
    }

    public void setWebLink(String webLink) {
        this.webLink = webLink;
    }

    public String getPreview() {
        return preview;
    }

    public void setPreview(String preview) {
        this.preview = preview;
    }

    public Channel getChannel() {
        return channel;
    }

    public void setChannel(Channel channel) {
        this.channel = channel;
    }

    public boolean isNeedChannel() {
        return needChannel;
    }

    public void setNeedChannel(boolean needChannel) {
        this.needChannel = needChannel;
    }
}
