package com.rudakova.media_archive.repository;

import com.rudakova.media_archive.model.UpdateRecord;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

import java.util.List;
import java.util.UUID;

public interface UpdateRecordRepository extends MongoRepository<UpdateRecord, UUID> {

    @Query("{ 'account.emailAddress' : ?0 }")
    List<UpdateRecord> findByAccount(String emailAddress);

    @Query("{ 'fileId' : ?0, 'type' : ?1 }")
    List<UpdateRecord> findByFileIdAndType(String fileId, String type);
}
