package com.rudakova.media_archive.service;

import com.rudakova.media_archive.model.File;
import com.rudakova.media_archive.repository.FileRepository;
import com.rudakova.media_archive.util.FileUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * Сервис для работы с файлами.
 */
@Service
public class FileService {

    @Autowired
    private FileRepository fileRepository;

    private final String folder;

    public FileService(@Value("${filesFolder}") String folder) {
        this.folder = folder;
    }

    /**
     * Сохранение файла.
     *
     * @param file файл.
     */
    public void saveFile(File file) {
        //FileUtil.saveFile(file.getShortcutHash(), file.getShortcutData(), folder);
        fileRepository.save(file);
    }

    /**
     * Удаление файла.
     *
     * @param file файл.
     */
    public void deleteFile(File file) {
        //FileUtil.deleteFile(file.getShortcutHash(), folder);
        fileRepository.delete(file);
    }
}