package com.rudakova.media_archive.servlet;

import com.rudakova.media_archive.repository.FileRepository;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.servlet.http.HttpServlet;

@Configuration
public class ServletConfiguration {

    @Value("${filesFolder}")
    private String folder;

    @Bean
    public ServletRegistrationBean<HttpServlet> servletRegistrationBean(FileRepository fileRepository) {
        return new ServletRegistrationBean<>(new FileServlet(fileRepository, folder), "/preview/*");
    }
}
