package com.rudakova.media_archive.util;

import org.apache.commons.io.FileUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class FileUtil {
    public static Logger LOG = LoggerFactory.getLogger(FileUtil.class);

    /**
     * Получение файла по имени.
     *
     * @param filename имя файла.
     * @return файл.
     */
    public static File getFile(String filename, String FOLDER) {
        return new File(FOLDER + filename);
    }

    public static void saveFile(String filename, byte[] data, String FOLDER) {
        try {
            File file = new File(FOLDER + filename);
            FileUtils.writeByteArrayToFile(file, data);
        } catch (IOException var4) {
            throw new RuntimeException(var4);
        }
    }

    public static void deleteFile(String filename, String FOLDER) {
        try {
            Files.delete(Paths.get(FOLDER + filename));
        } catch (IOException var3) {
            LOG.warn("Cannot delete file {}: {}", filename, var3.getMessage());
        }
    }

}
