package com.rudakova.media_archive.web;

import com.rudakova.media_archive.model.Account;
import com.rudakova.media_archive.service.AuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.view.RedirectView;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Controller
@RequestMapping("/")
public class RedirectController {

    @Value("${server.serverDomain}")
    private String serverDomain;

    @Value("${server.clientDomain}")
    private String clientDomain;

    @Autowired
    private AuthService authService;

    @GetMapping
    public RedirectView main(HttpServletRequest request, HttpServletResponse response) {
        Account account = authService.getLoggedInAccount();
        if (account == null) {
            return new RedirectView(clientDomain + "/mediaarchive_login");
        }
        for (Cookie cookie : request.getCookies()) {
            response.addCookie(cookie);
        }
        return new RedirectView(clientDomain + "/mediaarchive");
    }

    @GetMapping("/login")
    public RedirectView login() {
        return new RedirectView(serverDomain + "/oauth2/authorization/google");
    }
}